=== modified file 'loggerhead/apps/transport.py'
--- loggerhead/apps/transport.py	2009-06-25 00:30:33 +0000
+++ loggerhead/apps/transport.py	2009-06-25 00:36:05 +0000
@@ -79,11 +79,15 @@
             wsgi_app = wsgi.SmartWSGIApp(self.transport)
             return wsgi.RelpathSetter(wsgi_app, '', 'PATH_INFO')
         else:
-            config = LocationConfig(self.transport.clone(relpath).base)
+            config = LocationConfig(self.transport.base)
             if config.get_user_option('http_serve') == 'False':
                 raise httpexceptions.HTTPNotFound()
+            base = self.transport.base
+            readonly_prefix = 'readonly+'
+            if base.startswith(readonly_prefix):
+                base = base[len(readonly_prefix):]
             try:
-                path = urlutils.local_path_from_url(self.transport.base)
+                path = urlutils.local_path_from_url(base)
             except errors.InvalidURL, e:
                 raise httpexceptions.HTTPNotFound()
             else:

